<?
define('PROTECTOR', 1);

$headmod = 'istok';//фикс. места

$textl='Источник Жизни';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');


$rand=rand(1000,9999);

if($udata[city]!='fornost' and $udata[city]!='izmud'){
echo'Ошибка, доступ закрыт!';
include($path.'files/down.php');
exit;
}

if($udata[lvl]>5){
echo'К Источнику Жизни могут подходить только новички!';
include($path.'files/down.php');
exit;
}
if($udata[hp]>=$udata[hpall]){
echo'Вы здоровы!';
include($path.'files/down.php');
exit;
}
if(empty($_SESSION[regen])){
$_SESSION[regen]=5;
echo"<a href=\"istok.php?log=$log&amp;pas=$pas&amp;r=$rand\">Пить</a>(+5 жизни)";
}else{
$udata[hp]=$udata[hp]+$_SESSION[regen];
if($udata[hp]>$udata[hpall]){$udata[hp]=$udata[hpall];}
mysql_query("UPDATE users SET hp = '$udata[hp]' WHERE usr = '$log'");
$_SESSION[regen]++;
echo"<a href=\"istok.php?log=$log&amp;pas=$pas&amp;r=$rand\">Пить</a>(+$_SESSION[regen] жизни)";
}
////////////////////////
include($path.'files/down.php');
?>
